using System;
using System.Media;

namespace WorldOfPeacecraft
{
	public class Music
	{
		string musicpath = "./music/";
		string soundpath = "./sounds/";
		SoundPlayer overworldplayer = new SoundPlayer(musicpath + "overworld.wav");
		SoundPlayer minigameplayer = new SoundPlayer(musicpath + "minigame.wav");
		SoundPlayer splashscreenplayer = new SoundPlayer (soundpath + "splashscreen.wav");
		SoundPlayer walkplayer = new SoundPlayer(soundpath + "step.wav");
		public Music ()
		{

		}
		public void Playmusic (string sound){
			if (sound == "overworld")
				overworldplayer.PlayLooping ();
			if (sound == "minigame")
				minigameplayer.PlayLooping ();
			if (sound == "splashscreen")
				splashscreenplayer.PlaySync ();
			if (sound == "walk")
				walkplayer.Play ();
		}
	}
}

